#ifndef COMMON_CK
#define COMMON_CK

using namespace System;

namespace cmmn {

	extern const int MaxN;

	extern int NObj;
	extern double ** SimData;

	class RecD {				//	
		public:					//
			int id1, id2;		//		NX^id1id2̗ގx
			double d;			//		d :  ގx


		//       *this = R
		RecD & operator = (const RecD & R);
	};

	class Cluster {
		public:
			int id;					//	NX^[̒ʂԍ
			Cluster * L, * R;		//	NX^[ L  R ̕
			double	x,				//	}ɂc̈ʒu
					y;				//	NX^[`̊iގxj
			int * memid;			//	NX^[̃o[

			Cluster(){
				memid = new int[MaxN];
			}
			virtual ~Cluster(){
				delete[] memid;
			}

			//		*this = R
			Cluster & operator = (const Cluster & R);
	};

	class PCluster {
		public:
			int id;
			Cluster * p;
	};

	extern RecD * ListDist;

	extern int DistEnd;

	extern PCluster * ListC;

	extern double cpos, dgap;

	extern double MaxSim0, MaxSim;

	extern int NC;
	extern int serNC;

}

#endif
